<?php

namespace Phox\core\admin\panel\wdes_options\pages\elements;

class Radio extends Abstract_Options_Type
{

    public function __construct(
        string $id,
        string $value,
        string $title = null,
        string $description = null,
    )
    {
        $this->label($title);
        $this->description($description);
        $this->id($id);
        $this->value($value);
        $this->properties = [];
    }

    public function type(): string
    {
        return 'radio';
    }

}